Package org.apache.synapse.commons.vfs

# Class VFSOutTransportInfo

java.lang.Object
org.apache.synapse.commons.vfs.VFSOutTransportInfo

All Implemented Interfaces:
  `org.apache.axis2.transport.OutTransportInfo`

public class VFSOutTransportInfo extends Object implements org.apache.axis2.transport.OutTransportInfo
The VFS OutTransportInfo is a holder of information to send an outgoing message (e.g. a Response) to a VFS destination. Thus at a minimum a reference to a File URI (i.e. directory or a file) are held

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VFSOutTransportInfo(String outFileURI, boolean fileLocking)`
  Constructs the VFSOutTransportInfo containing the information about the file to which the response has to be submitted to.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentType()`
  `int`
  `getMaxRetryCount()`
  `String`
  `getOutFileName()`
  `Map<String,String>`
  `getOutFileSystemOptionsMap()`
  `String`
  `getOutFileURI()`
  `long`
  `getReconnectTimeout()`
  `boolean`
  `getSendFileSynchronously()`
  `boolean`
  `isAppend()`
  `boolean`
  `isFileLockingEnabled()`
  `boolean`
  `isForceCreateFolder()`
  `boolean`
  `isForceCreateFolder(org.apache.axis2.context.MessageContext msgCtx)`
  `boolean`
  `isUpdateLastModified()`
  `void`
  `setAppend(boolean append)`
  `void`
  `setContentType(String contentType)`
  `void`
  `setForceCreateFolder(boolean forceCreateFolder)`
  `void`
  `setMaxRetryCount(int maxRetryCount)`
  `void`
  `setReconnectTimeout(long reconnectTimeout)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VFSOutTransportInfo

    public VFSOutTransportInfo(String outFileURI, boolean fileLocking)
    Constructs the VFSOutTransportInfo containing the information about the file to which the response has to be submitted to.
    Parameters:
      `outFileURI` - URI of the file to which the message is delivered

- ## Method Details

  - ### isForceCreateFolder

    public boolean isForceCreateFolder(org.apache.axis2.context.MessageContext msgCtx)

  - ### setContentType

    public void setContentType(String contentType)
    Specified by:
      `setContentType` in interface `org.apache.axis2.transport.OutTransportInfo`

  - ### getOutFileURI

    public String getOutFileURI()

  - ### getSendFileSynchronously

    public boolean getSendFileSynchronously()

  - ### getOutFileName

    public String getOutFileName()

  - ### getMaxRetryCount

    public int getMaxRetryCount()

  - ### setMaxRetryCount

    public void setMaxRetryCount(int maxRetryCount)

  - ### getReconnectTimeout

    public long getReconnectTimeout()

  - ### setReconnectTimeout

    public void setReconnectTimeout(long reconnectTimeout)

  - ### isAppend

    public boolean isAppend()

  - ### setAppend

    public void setAppend(boolean append)

  - ### getContentType

    public String getContentType()

  - ### isFileLockingEnabled

    public boolean isFileLockingEnabled()

  - ### getOutFileSystemOptionsMap

    public Map<String,String> getOutFileSystemOptionsMap()

  - ### isForceCreateFolder

    public boolean isForceCreateFolder()
    Returns:
      the forceCreateFolder

  - ### setForceCreateFolder

    public void setForceCreateFolder(boolean forceCreateFolder)
    Parameters:
      `forceCreateFolder` - the forceCreateFolder to set

  - ### isUpdateLastModified

    public boolean isUpdateLastModified()